﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace examPrepare.Models
{
  public class ProductModel
  {
    public string Id { get; set; }
    public string Name { get; set; }
    public string Description { get; set; }
    public string Manufacturer { get; set; }
    public double Price { get; set; }
    public int count { get; set; } = 0;
    public ProductModel(Product product) 
    {
      Id = product.ProductArticleNumber;
      Name = product.ProductName;
      Description = product.ProductDescription;
      Manufacturer = product.Manufacturer.NameManufacturer;
      Price = Convert.ToDouble(product.ProductCost);
    }
  }
}
